#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# tests [ptys needed]

Summary:	py.test distributed testing plugin
Summary(pl.UTF-8):	Wtyczka py.test do testów rozproszonych
Name:		python3-pytest-xdist
Version:	3.7.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-xdist/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-xdist/pytest_xdist-%{version}.tar.gz
# Source0-md5:	94bf52c692963572d85150770b6d234c
URL:		https://github.com/pytest-dev/pytest-xdist
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools >= 1:77.0
BuildRequires:	python3-setuptools_scm >= 6.2.3
%if %{with tests}
BuildRequires:	python3-execnet >= 2.1
BuildRequires:	python3-filelock
BuildRequires:	python3-pytest >= 7.0.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pytest-xdist plugin extends py.test with some unique test
execution modes, like parallelization.

%description -l pl.UTF-8
Wtyczka pytest-xdist rozszerza py.test o kilka unikatowych
trybów wykonywania testów, jak choćby zrównoleglenie.

%package apidocs
Summary:	API documentation for Python pytest-xdist module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona pytest-xdist
Group:		Documentation

%description apidocs
API documentation for Python pytest-xdist module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona pytest-xdist.

%prep
%setup -q -n pytest_xdist-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=xdist.plugin,xdist.looponfail \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest testing
%endif

%if %{with doc}
sphinx-build -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE README.rst example/boxed.txt
%{py3_sitescriptdir}/xdist
%{py3_sitescriptdir}/pytest_xdist-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Sat Jun 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-xdist.git;a=log;h=master

* Sat Jun 28 2025 Jakub Bogusz <qboosh@pld-linux.org> fc5aa98
- python-pytest-xdist.spec updated to 3.7.0 for python 3.9+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> a6667e1
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> efd8923
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 6a89435
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 7efda17
- rebuild with python 3.10

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 6b14b97
- updated to 1.34.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 9e2251a
- release 2 (by relup.sh)

* Thu Apr 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 4012ddb
- disable tests by default

* Thu Apr 02 2020 Jakub Bogusz <qboosh@pld-linux.org> e321c63
- disable pytest-benchmark plugin and tests failing on builders because of ptys

* Tue Mar 24 2020 Jakub Bogusz <qboosh@pld-linux.org> b788fe2
- outdated patch

* Tue Mar 24 2020 Jakub Bogusz <qboosh@pld-linux.org> f06c25a
- updated to 1.27.0 (temporarily, as later versions require pytest >= 4.4.0)
- merge tests_py2 in plain tests, seem to work now

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 132bcd1
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Dec 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 0ce966a
- updated to 1.24.1

* Wed Aug 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 22462ed
- updated to 1.22.5

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 39f23b1
- release 2 (by relup.sh)

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> bc624dc
- py3 tests now have chances to pass

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> d7869a7
- new, ModuleNotFoundError patch resolves only one of a few tests problems

